Skip to content
Open app

versions.list

GET /api/v1/boards/{id}/versions. An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.view permission on the board.

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/versionslist.mdtext/markdown
GET
/api/v1/boards/{id}/versions
Code sample: Shell / cURL
curl --request GET \
--url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions \
--header 'Authorization: Bearer <token>'

An agent token (Authorization: Bearer ifc_…) or a signed-in person. Needs the board.view permission on the board.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
cursor
string
<= 200 characters
limit
integer
>= 1 <= 100

Success.

Media typeapplication/json
object
items
required
Array<object>
object
board_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
n
required
integer
> 0 <= 9007199254740991
manifest_sha
required
string
/^[a-f0-9]{64}$/
parent_n
required
Any of:
integer
<= 9007199254740991
author_id
required
string
/^user_[A-Za-z0-9]+$/
agent
required
string
message
required
string
size_bytes
required
integer
<= 9007199254740991
thumb_url
required
Any of:
string format: uri
created_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
next_cursor
required
string | null

Example generated

{
"items": [
{
"board_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"n": 1,
"manifest_sha": "example",
"parent_n": 1,
"author_id": "example",
"agent": "example",
"message": "example",
"size_bytes": 1,
"thumb_url": "https://example.com",
"created_at": "2026-04-15T12:00:00Z"
}
],
"next_cursor": "example"
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}